<?php
namespace Claromentis\Core\User\Directory\Ldap;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_aed8da0f19091214b78f803510485" . "17c" => base64_decode("c3RybG" . "Vu"), "_8d9737a30f2a" . "d8eace53af3c4" . "00b8d67" => base64_decode("cHJvcGVy" . "dHlfZXhp" . "c3Rz"), "_e0637eee905ebe39" . "38c5da50e3db10d7" => base64_decode("cGFzc3dvc" . "mQ="), "_4298577e41894bcce23f896cd365aea" . "4" => base64_decode("Z" . "W" . "4" . "="), "_cdcf6e94ffc095d29538c4824c1dba5" . "6" => base64_decode("ZGU" . "="), "_2a463c4d041c946" . "ca815dbab84ec53d" . "e" => base64_decode("X19SR" . "URBQ1" . "RFRF9" . "f"));
use Claromentis\Core\User\Directory\DirectoriesList;
use Claromentis\Core\User\Directory\DirectorySettings;
use CryptUtils;




class LdapSettings extends DirectorySettings
{
    const GROUP_MAP_DISABLED = 0;
    const GROUP_MAP_ENABLED = 1;
    const GROUP_MAP_ENABLED_REGEX = 2;
    const GROUP_MAP_ENABLED_OU = 3;
    public $server_url;
    public $user;
    public $password;
    public $domain;
    public $base_dn;
    public $user_type_filter;
    public $user_enabled_filter;
    public $username_field;
    public $membership_field;
    public $guid_field;
    public $groups;
    public $ous;
    public $bind_by_dn = true;
    
    
    public $dn_lookup_use_com = false;
    
    
    public $sys_charset = 'utf-8';
    
    
    public $fields_map;
    public $map_profile_photo;
    
    
    public $map_cla_orgchart = null;
    
    
    public $map_cla_extranet = 'extranet_area';
    public $map_groups;
    public $map_groups_expression;
    public $date_format = '';
    public $date_no_year_format = '';
    public static function FromArray($_bc7548519088f5ca3175056c1d4b4c6d)
    {
        $_f56e92e2b328797520a80ee0c4fb95c5 = new self();
        $_f56e92e2b328797520a80ee0c4fb95c5->LoadFromArray($_bc7548519088f5ca3175056c1d4b4c6d);
        return $_f56e92e2b328797520a80ee0c4fb95c5;
    }
    public function __debugInfo()
    {
        $data = (array) $this;
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_aed8da0f19091214b78f8035104" . "8517c"]($data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e0637eee905ebe3938c5da50e3db1" . "0d7"]]) > 0) {
            $data[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e0637eee905ebe3938c5da50e3db" . "10d7"]] = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2a463c4d0" . "41c946ca81" . "5dbab84ec5" . "3de"];
        }
        
        
        return $data;
    }
    public function LoadFromArray($_bc7548519088f5ca3175056c1d4b4c6d)
    {
        foreach ($_bc7548519088f5ca3175056c1d4b4c6d as $key => $value) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_8d9737a30f2ad8ea" . "ce53af3c400b8d67"]($this, $key)) {
                $this->{$key} = $value;
            }
        }
    }
    public function ToArray()
    {
        return (array) $this;
    }
    public function LoadFromConfigArray($_bc7548519088f5ca3175056c1d4b4c6d)
    {
        foreach ($_bc7548519088f5ca3175056c1d4b4c6d as $key => $value) {
            if ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8d9737a30f2ad8eace53af3c4" . "00b8d67"]($this, $key)) {
                
                
                if ($key === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e0637eee905ebe3938c5da50e3db10d" . "7"]) {
                    $value = CryptUtils::RC4($value, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_cdcf6e94ffc" . "095d29538c48" . "24c1dba56"]);
                }
                $this->{$key} = $value;
            }
        }
    }
    public function ToArrayForConfig()
    {
        $data = (array) $this;
        if (isset($data[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e0637eee905ebe3938c5da50e3" . "db10d7"]])) {
            
            
            $data[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e0637eee905ebe39" . "38c5da50e3db10d7"]] = CryptUtils::RC4($data[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e0637eee905ebe3938c" . "5da50e3db10d7"]], $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4298577e41894bcce23f89" . "6cd365aea4"]);
        }
        return $data;
    }
    public static function FromConfigArray($_bc7548519088f5ca3175056c1d4b4c6d)
    {
        $_f56e92e2b328797520a80ee0c4fb95c5 = new self();
        $_f56e92e2b328797520a80ee0c4fb95c5->LoadFromConfigArray($_bc7548519088f5ca3175056c1d4b4c6d);
        return $_f56e92e2b328797520a80ee0c4fb95c5;
    }
}